@import '../../styles/variables';
@import '../../styles/mixins';

.post-container{
  width: 470px;
  padding-bottom: 25px;
  background-color: $backgroundColorAside;
  &::after{
    content: '';
    position: absolute;
    display: block;
    width: 470px;
    border-top: 1px solid $subtext-color;
    bottom: 0;
  }
  &__header{
    @include flexCenter(space-between);
    padding-top: 16px;
    padding-bottom: 16px;
  }
  &__main{
    width:468px;
    height: auto;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    & img{
      width: 100%;
      height: 100%;
    }
  }
  &__footer{
    width: 100%;

    &__icons-container{
      @include flexCenter(space-between);
      &__icons{
        width: 104px;
        height: 46px;
        @include flexCenter(space-between);
      }
    }
    &__comments {
      font-size: 14px;
      color: $text-color;
      padding-bottom: 8px;
      &__list{
        &__item{
          border-radius: 50%;
          width: 32px;
          height: 32px;
        }
        & li{
          padding-bottom: 5px;
          &>span{
            font-weight: bold;
          }
        }
      }
      &__showAll{
        color: $subtext-color;
        padding-bottom: 10px;
      }
      &__input{
        font-size: 12px;
        color: $subtext-color;
      }
    }
  }
}
